Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class XLinkSupport

    java.lang.Object
      org.apache.batik.dom.util.XLinkSupport

All Implemented Interfaces:
  XMLConstants

    public class XLinkSupport

extends Object
implements XMLConstants

This class provides support for XLink features.

Field Summary

Fields inherited from interface org.apache.batik.util.XMLConstants
`XLINK_HREF_ATTRIBUTE, XLINK_HREF_QNAME, XLINK_NAMESPACE_URI, XLINK_PREFIX, XML_BASE_ATTRIBUTE, XML_BASE_QNAME, XML_CDATA_END, XML_CHAR_AMP, XML_CHAR_APOS, XML_CHAR_GT, XML_CHAR_LT, XML_CHAR_QUOT, XML_CHAR_REF_PREFIX, XML_CHAR_REF_SUFFIX, XML_CLOSE_TAG_END, XML_CLOSE_TAG_START, XML_DEFAULT_VALUE, XML_DOUBLE_DASH, XML_DOUBLE_QUOTE, XML_ENTITY_AMP, XML_ENTITY_APOS, XML_ENTITY_GT, XML_ENTITY_LT, XML_ENTITY_QUOT, XML_EQUAL_QUOT, XML_EQUAL_SIGN, XML_EVENTS_EVENT_ATTRIBUTE, XML_EVENTS_NAMESPACE_URI, XML_ID_ATTRIBUTE, XML_ID_QNAME, XML_LANG_ATTRIBUTE, XML_LANG_QNAME, XML_NAMESPACE_URI, XML_OPEN_TAG_END_CHILDREN, XML_OPEN_TAG_END_NO_CHILDREN, XML_OPEN_TAG_START, XML_PREFIX, XML_PRESERVE_VALUE, XML_PROCESSING_INSTRUCTION_END, XML_SPACE, XML_SPACE_ATTRIBUTE, XML_SPACE_QNAME, XML_TAB, XML_VERSION_10, XML_VERSION_11, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

Constructor Summary
`XLinkSupport()`

Method Summary
`static String` | `getXLinkActuate(Element elt)` Returns the value of the 'xlink:actuate' attribute of the given element.
`static String` | `getXLinkArcRole(Element elt)` Returns the value of the 'xlink:arcrole' attribute of the given element.
`static String` | `getXLinkHref(Element elt)` Returns the value of the 'xlink:href' attribute of the given element.
`static String` | `getXLinkRole(Element elt)` Returns the value of the 'xlink:role' attribute of the given element.
`static String` | `getXLinkShow(Element elt)` Returns the value of the 'xlink:show' attribute of the given element.
`static String` | `getXLinkTitle(Element elt)` Returns the value of the 'xlink:title' attribute of the given element.
`static String` | `getXLinkType(Element elt)` Returns the value of the 'xlink:type' attribute of the given element.
`static void` | `setXLinkActuate(Element elt, String str)` Sets the value of the 'xlink:actuate' attribute of the given element.
`static void` | `setXLinkArcRole(Element elt, String str)` Sets the value of the 'xlink:arcrole' attribute of the given element.
`static void` | `setXLinkHref(Element elt, String str)` Sets the value of the 'xlink:href' attribute of the given element.
`static void` | `setXLinkRole(Element elt, String str)` Sets the value of the 'xlink:role' attribute of the given element.
`static void` | `setXLinkShow(Element elt, String str)` Sets the value of the 'xlink:show' attribute of the given element.
`static void` | `setXLinkTitle(Element elt, String str)` Sets the value of the 'xlink:title' attribute of the given element.
`static void` | `setXLinkType(Element elt, String str)` Sets the value of the 'xlink:type' attribute of the given element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XLinkSupport

    public XLinkSupport()

Method Detail

### getXLinkType

    public static String getXLinkType(Element elt)

  Returns the value of the 'xlink:type' attribute of the given element.

### setXLinkType

    public static void setXLinkType(Element elt,
                                    String str)

  Sets the value of the 'xlink:type' attribute of the given element.

### getXLinkRole

    public static String getXLinkRole(Element elt)

  Returns the value of the 'xlink:role' attribute of the given element.

### setXLinkRole

    public static void setXLinkRole(Element elt,
                                    String str)

  Sets the value of the 'xlink:role' attribute of the given element.

### getXLinkArcRole

    public static String getXLinkArcRole(Element elt)

  Returns the value of the 'xlink:arcrole' attribute of the given element.

### setXLinkArcRole

    public static void setXLinkArcRole(Element elt,
                                       String str)

  Sets the value of the 'xlink:arcrole' attribute of the given element.

### getXLinkTitle

    public static String getXLinkTitle(Element elt)

  Returns the value of the 'xlink:title' attribute of the given element.

### setXLinkTitle

    public static void setXLinkTitle(Element elt,
                                     String str)

  Sets the value of the 'xlink:title' attribute of the given element.

### getXLinkShow

    public static String getXLinkShow(Element elt)

  Returns the value of the 'xlink:show' attribute of the given element.

### setXLinkShow

    public static void setXLinkShow(Element elt,
                                    String str)

  Sets the value of the 'xlink:show' attribute of the given element.

### getXLinkActuate

    public static String getXLinkActuate(Element elt)

  Returns the value of the 'xlink:actuate' attribute of the given element.

### setXLinkActuate

    public static void setXLinkActuate(Element elt,
                                       String str)

  Sets the value of the 'xlink:actuate' attribute of the given element.

### getXLinkHref

    public static String getXLinkHref(Element elt)

  Returns the value of the 'xlink:href' attribute of the given element.

### setXLinkHref

    public static void setXLinkHref(Element elt,
                                    String str)

  Sets the value of the 'xlink:href' attribute of the given element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.